# Uses of Interface
org.opensaml.xmlsec.agreement.KeyAgreementParameter

Packages that use KeyAgreementParameter
Package
Description
org.opensaml.xmlsec.agreement
API components related to key agreement operations.
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.
org.opensaml.xmlsec.derivation
API components related to key derivation operations.
org.opensaml.xmlsec.derivation.impl
Implementation components related to key derivation operations.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of KeyAgreementParameter in org.opensaml.xmlsec.agreement

Subinterfaces of KeyAgreementParameter in org.opensaml.xmlsec.agreement
Modifier and Type
Interface
Description
`interface`
`CloneableKeyAgreementParameter`
A key agreement parameter which is capable of being cloned.
`interface`
`XMLExpressableKeyAgreementParameter`
A key agreement parameter which is capable of expressing its own `XMLObject` representation.
Methods in org.opensaml.xmlsec.agreement that return KeyAgreementParameter
Modifier and Type
Method
Description
`KeyAgreementParameter`
CloneableKeyAgreementParameter.`clone()`
Clone the parameter instance.
Constructor parameters in org.opensaml.xmlsec.agreement with type arguments of type KeyAgreementParameter
Modifier
Constructor
Description
``
`KeyAgreementParameters(Collection<KeyAgreementParameter> source)`
Copy constructor.
``
`KeyAgreementParameters(Collection<KeyAgreementParameter> source, boolean clone)`
Copy constructor with parameter clone option.

## Uses of KeyAgreementParameter in org.opensaml.xmlsec.agreement.impl

Classes in org.opensaml.xmlsec.agreement.impl that implement KeyAgreementParameter
Modifier and Type
Class
Description
`class`
`DigestMethod`
Key agreement parameter to support use of `DigestMethod` values.
`class`
`KANonce`
Key agreement parameter to support use of `KANonce` values.
`class`
`KeySize`
Key agreement parameter used to explicitly represent the size of the derived key.
`class`
`PrivateCredential`
Key agreement parameter used to pass a Credential holding a required private key.
`class`
`StaticStaticMode`
Key agreement parameter whose presence indicates Static-Static mode is being used.
Methods in org.opensaml.xmlsec.agreement.impl that return KeyAgreementParameter
Modifier and Type
Method
Description
`KeyAgreementParameter`
DigestMethod.Parser.`parse(XMLObject xmlObject)`
Parse the specified `XMLObject` into a `KeyAgreementParameter`.
`KeyAgreementParameter`
KANonce.Parser.`parse(XMLObject xmlObject)`
Parse the specified `XMLObject` into a `KeyAgreementParameter`.
`KeyAgreementParameter`
KeyAgreementParameterParser.`parse(XMLObject xmlObject)`
Parse the specified `XMLObject` into a `KeyAgreementParameter`.

## Uses of KeyAgreementParameter in org.opensaml.xmlsec.derivation

Subinterfaces of KeyAgreementParameter in org.opensaml.xmlsec.derivation
Modifier and Type
Interface
Description
`interface`
`KeyDerivation`
Component which represents a specific key derivation algorithm, and supports deriving a new `SecretKey` via that algorithm.

## Uses of KeyAgreementParameter in org.opensaml.xmlsec.derivation.impl

Classes in org.opensaml.xmlsec.derivation.impl that implement KeyAgreementParameter
Modifier and Type
Class
Description
`class`
`ConcatKDF`
Implementation of ConcatKDF key derivation as defined in XML Encryption 1.1.
`class`
`PBKDF2`
Implementation of PBKDF2 key derivation as defined in XML Encryption 1.1.
Methods in org.opensaml.xmlsec.derivation.impl that return KeyAgreementParameter
Modifier and Type
Method
Description
`KeyAgreementParameter`
ConcatKDF.Parser.`parse(XMLObject xmlObject)`
Parse the specified `XMLObject` into a `KeyAgreementParameter`.
`KeyAgreementParameter`
PBKDF2.Parser.`parse(XMLObject xmlObject)`
Parse the specified `XMLObject` into a `KeyAgreementParameter`.

## Uses of KeyAgreementParameter in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support with type parameters of type KeyAgreementParameter
Modifier and Type
Field
Description
`private Collection<KeyAgreementParameter>`
KeyAgreementEncryptionConfiguration.`parameters`
The collection of `KeyAgreementParameter`.
Methods in org.opensaml.xmlsec.encryption.support that return types with arguments of type KeyAgreementParameter
Modifier and Type
Method
Description
`Collection<KeyAgreementParameter>`
KeyAgreementEncryptionConfiguration.`getParameters()`
Get the collection of `KeyAgreementParameter`.
Method parameters in org.opensaml.xmlsec.encryption.support with type arguments of type KeyAgreementParameter
Modifier and Type
Method
Description
`void`
KeyAgreementEncryptionConfiguration.`setParameters(Collection<KeyAgreementParameter> params)`
Set the collection of `KeyAgreementParameter`.